This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 1166121 - RFE: make dnf builddep recognize nosrc.rpm packages
Summary: RFE: make dnf builddep recognize nosrc.rpm packages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
(Show other bugs)
Version: 21
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: packaging-team-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 483486
TreeView+ depends on / blocked
 
Reported: 2014-11-20 12:08 UTC by Miroslav Suchý
Modified: 2015-11-04 11:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1166126 (view as bug list)
Environment:
Last Closed: 2015-11-04 11:58:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to resolve this issue (477 bytes, patch)
2014-11-20 12:17 UTC, Miroslav Suchý
no flags Details | Diff

Description Miroslav Suchý 2014-11-20 12:08:24 UTC
Description of problem:
If you use 'Nosource' tag in spec file, then 'rpmbuild -bs' will create package *.nosrc.rpm.
When you pass this file do yum-builddep it will fail with:
No such package(s): /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm 

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-24.fc21.noarch

How reproducible:
always

Steps to Reproduce:
1. wget http://miroslav.suchy.cz/copr/battle-chess-1994-1.fc20.nosrc.rpm
2. yum-builddep battle-chess-1994-1.fc20.nosrc.rpm

Actual results:
# /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-20-x86_64/root/ --releasever 20 /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm                                                           No such package(s): /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm 

Expected results:
no errors.


Additional info:

Comment 1 Miroslav Suchý 2014-11-20 12:17:30 UTC
Created attachment 959307 [details]
Proposed patch to resolve this issue

Comment 2 Scott K Logan 2015-03-22 03:41:14 UTC
Proposed patch works for me. +1 to merge.

Comment 3 Jonathan Underwood 2015-09-30 19:01:43 UTC
Any progress on this one?

Comment 4 Jonathan Underwood 2015-09-30 19:03:37 UTC
Re-assigning to dnf-plugins-core.

Comment 5 Fedora End Of Life 2015-11-04 10:18:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Miroslav Suchý 2015-11-04 11:58:26 UTC
This was fixed in commit d556788281505d47daa6f881d0695a64f16b8021
and resolved in dnf-plugins-core-0.1.10-1


Note You need to log in before you can comment on or make changes to this bug.